//commande d'installation
/*

npm install

// pour souvenir
npm install --save-dev gulp  gulp-plumber gulp-svg-sprite gulp-svgmin

 */
//Requires
var gulp = require('gulp');


var svgSprite    = require('gulp-svg-sprite');
var plumber      = require('gulp-plumber');
var baseDir      = './svg';   // <-- Set to your SVG base directory
//var baseDir      = 'svgmin';   // <-- Set to your SVG base directory
var svgGlob      = '**/*.svg';       // <-- Glob to match your SVG files
var outDir       = './img/';     // <-- Main output directory
var config       = {
	"shape": {
		"spacing": {
			"box": "icon"
		}
	},
	"mode": {
/*		"view": {
			"dest": ".",
			"sprite": "sprite_css_pictos.svg",
			"bust": false
		},
*/
		"symbol": {
			"dest": ".",
			"sprite": "sprite_symbol_pictos.svg",
		}
	}
};

gulp.task('svgsprite', function() {
    return gulp.src(svgGlob, {cwd: baseDir})
        .pipe(plumber())
        .pipe(svgSprite(config)).on('error', function(error){ console.log(error); })
        .pipe(gulp.dest(outDir));
});

var svgmin = require('gulp-svgmin');

gulp.task('svgmin', function () {
    return gulp.src('./svg/*.svg')
        .pipe(svgmin())
        .pipe(gulp.dest('./svgmin'));
});
